Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/mobile: Replace hardcoded -miphoneos-version-min with command line arg #27680

Closed
tadovas opened this issue Sep 14, 2018 · 2 comments

Comments

Projects
None yet
3 participants
@tadovas
Copy link

commented Sep 14, 2018

Please answer these questions before submitting your issue. Thanks!

What version of Go are you using (go version)?

go version go1.9.2 darwin/amd64

Does this issue reproduce with the latest release?

Yes

What operating system and processor architecture are you using (go env)?

GOARCH="amd64"
GOBIN=""
GOEXE=""
GOHOSTARCH="amd64"
GOHOSTOS="darwin"
GOOS="darwin"
GOPATH="/Users/tadovas/work/go/openvpnv3-go-bindings"
GORACE=""
GOROOT="/usr/local/Cellar/go/1.9.2/libexec"
GOTOOLDIR="/usr/local/Cellar/go/1.9.2/libexec/pkg/tool/darwin_amd64"
GCCGO="gccgo"
CC="clang"
GOGCCFLAGS="-fPIC -m64 -pthread -fno-caret-diagnostics -Qunused-arguments -fmessage-length=0 -fdebug-prefix-map=/var/folders/_j/73ymsvw56v989xyfwn6q18_m0000gn/T/go-build474754005=/tmp/go-build -gno-record-gcc-switches -fno-common"
CXX="clang++"
CGO_ENABLED="1"
CGO_CFLAGS="-g -O2"
CGO_CPPFLAGS=""
CGO_CXXFLAGS="-g -O2"
CGO_FFLAGS="-g -O2"
CGO_LDFLAGS="-g -O2"
PKG_CONFIG="pkg-config"

What did you do?

Trying to gomobile bind package with precompiled object files with newer iOS version (10.3

If possible, provide a recipe for reproducing the error.
A complete runnable program is good.
A link on play.golang.org is best.

What did you expect to see?

Successful bind

What did you see instead?

Warnings like "ld: warning: object file ... was built for newer iOS version (10.3) than being linked (7.0)"
And bind fails with linking errors, because iOS 10.x uses newer std c++ lib abi

This is more like proposal or feature: to remove hardcoded -miphoneos-version-min flags passed to clang and parameterize them instread (the same goes with ios simulator)

A new parameter could look like that gomobile bind -iosversion=10.3 (-iossimversion=10.3 respectively)

@tadovas tadovas changed the title go/mobile: go/mobile: Replace hardcoded -miphoneos-version-min with command line arg Sep 14, 2018

@tadovas

This comment has been minimized.

Copy link
Author

commented Sep 14, 2018

PR implementing this: golang/mobile#21

@tadovas tadovas changed the title go/mobile: Replace hardcoded -miphoneos-version-min with command line arg x/mobile: Replace hardcoded -miphoneos-version-min with command line arg Sep 14, 2018

@gopherbot gopherbot added this to the Unreleased milestone Sep 14, 2018

@gopherbot gopherbot added the mobile label Sep 14, 2018

@dmitshur

This comment has been minimized.

Copy link
Member

commented Sep 16, 2018

Fixed by CL 135415, closing.

(It didn't get the "Fixes" format quite right, hence didn't get closed automatically.)

@dmitshur dmitshur closed this Sep 16, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.